Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Delete agent environment file

DELETE/workspaces/{organizationId}/agent/environment/file
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
pathstringrequired
min length 1
Responses
204

File deleted

404

File not found

Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://pile.nyc/workspaces/string/agent/environment/file?path=string' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
File deleted

Was this page helpful?